Domains
All operations require authentication.
List all domain name resourcesBeta
Query parameters
Filter the results having all these additional states
DGCCRF_ABUSEDISPUTEFORCED_DELETIONOVH_ABUSEREGISTRY_ABUSETECHNICAL_SUSPENDEDFilter the results by administrator contact id
Filter the results by billing contact id
Filter the results by owner contact id
Filter the results by technical contact id
Filter resources on IAM tags
Filter the results having all these main states
DELETEDEXPIREDOKPENDING_CREATEPENDING_DELETEPENDING_INTERNAL_TRANSFERPENDING_OUTGOING_TRANSFERRESTORABLETO_DELETEFilter the results with the search value on resource id
Filter the results having all these suspension states
NOT_SUSPENDEDSUSPENDEDHeaders
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the domain name
Ongoing asynchronous tasks related to the domain name resource
IAM resource metadata
Unique identifier of the resource. Here, the domain name itself is used as an identifier.
Reflects the readiness of the domain name resource. A new target specification request will be accepted only in READY, UPDATING or ERROR status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLatest target specification of the domain name resource
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "additionalStates": [ "DGCCRF_ABUSE" ], "authInfoManagedByOVHcloud": true, "authInfoSupported": true, "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosedFields": [ null ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactBilling": { "disclosurePolicy": { "disclosedFields": [ null ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactOwner": { "disclosurePolicy": { "disclosedFields": [ null ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosedFields": [ null ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" } }, "createdAt": "2024-01-01T12:00:00Z", "designatedAgentAllowed": true, "dnsConfiguration": { "configurationType": "ANYCAST", "dnssecSupported": true, "glueRecordIPv6Supported": true, "hostSupported": true, "maxDNS": 0, "minDNS": 0, "multipleIPsSupported": true, "nameServers": [ { "ips": [ null ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "ANYCAST" } ] }, "dnssecConfiguration": { "dnssecSupported": true, "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ], "supportedAlgorithms": [ { "name": "DSA", "number": 0 } ] }, "extension": "string", "hostsConfiguration": { "hostSupported": true, "hosts": [ { "host": "string", "ips": [ null ] } ], "ipv4Supported": true, "ipv6Supported": true, "multipleIPsSupported": true }, "mainState": "DELETED", "name": "string", "protectionState": "PROTECTED", "suspensionState": "NOT_SUSPENDED", "transferAuthorizationMethod": "ASK_OVHCLOUD_SUPPORT" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactBilling": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactOwner": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } } }, "dnsConfiguration": { "nameServers": [ { "ips": [ null ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string" } ] }, "dnssecConfiguration": { "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ] }, "hostsConfiguration": { "hosts": [ { "host": "string", "ips": [ null ] } ] }, "protectionState": "PROTECTED" } }]
Get a domain name resourceBeta
Path parameters
Domain name
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the domain name
Ongoing asynchronous tasks related to the domain name resource
IAM resource metadata
Unique identifier of the resource. Here, the domain name itself is used as an identifier.
Reflects the readiness of the domain name resource. A new target specification request will be accepted only in READY, UPDATING or ERROR status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLatest target specification of the domain name resource
Example uses domainName = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "additionalStates": [ "DGCCRF_ABUSE" ], "authInfoManagedByOVHcloud": true, "authInfoSupported": true, "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactBilling": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactOwner": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" } }, "createdAt": "2024-01-01T12:00:00Z", "designatedAgentAllowed": true, "dnsConfiguration": { "configurationType": "ANYCAST", "dnssecSupported": true, "glueRecordIPv6Supported": true, "hostSupported": true, "maxDNS": 0, "minDNS": 0, "multipleIPsSupported": true, "nameServers": [ { "ips": [ "192.0.2.0" ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "ANYCAST" } ] }, "dnssecConfiguration": { "dnssecSupported": true, "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ], "supportedAlgorithms": [ { "name": "DSA", "number": 0 } ] }, "extension": "string", "hostsConfiguration": { "hostSupported": true, "hosts": [ { "host": "string", "ips": [ "192.0.2.0" ] } ], "ipv4Supported": true, "ipv6Supported": true, "multipleIPsSupported": true }, "mainState": "DELETED", "name": "string", "protectionState": "PROTECTED", "suspensionState": "NOT_SUSPENDED", "transferAuthorizationMethod": "ASK_OVHCLOUD_SUPPORT" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactBilling": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactOwner": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } } }, "dnsConfiguration": { "nameServers": [ { "ips": [ "192.0.2.0" ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string" } ] }, "dnssecConfiguration": { "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ] }, "hostsConfiguration": { "hosts": [ { "host": "string", "ips": [ "192.0.2.0" ] } ] }, "protectionState": "PROTECTED" }}
Update an existing domain name by modifying various configurations through the targetSpecBeta
Path parameters
Domain name
Request body (required)
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the domain name
Ongoing asynchronous tasks related to the domain name resource
Unique identifier of the resource. Here, the domain name itself is used as an identifier.
Reflects the readiness of the domain name resource. A new target specification request will be accepted only in READY, UPDATING or ERROR status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLatest target specification of the domain name resource
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the domain name
Ongoing asynchronous tasks related to the domain name resource
Unique identifier of the resource. Here, the domain name itself is used as an identifier.
Reflects the readiness of the domain name resource. A new target specification request will be accepted only in READY, UPDATING or ERROR status.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLatest target specification of the domain name resource
Example uses domainName = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "additionalStates": [ "DGCCRF_ABUSE" ], "authInfoManagedByOVHcloud": true, "authInfoSupported": true, "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactBilling": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactOwner": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosedFields": [ "ADDRESS" ], "disclosureConfiguration": "DISCLOSED", "forcedDisclosureConfiguration": true, "visibleViaRdds": true }, "id": "string" } }, "createdAt": "2024-01-01T12:00:00Z", "designatedAgentAllowed": true, "dnsConfiguration": { "configurationType": "ANYCAST", "dnssecSupported": true, "glueRecordIPv6Supported": true, "hostSupported": true, "maxDNS": 0, "minDNS": 0, "multipleIPsSupported": true, "nameServers": [ { "ips": [ "192.0.2.0" ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "ANYCAST" } ] }, "dnssecConfiguration": { "dnssecSupported": true, "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ], "supportedAlgorithms": [ { "name": "DSA", "number": 0 } ] }, "extension": "string", "hostsConfiguration": { "hostSupported": true, "hosts": [ { "host": "string", "ips": [ "192.0.2.0" ] } ], "ipv4Supported": true, "ipv6Supported": true, "multipleIPsSupported": true }, "mainState": "DELETED", "name": "string", "protectionState": "PROTECTED", "suspensionState": "NOT_SUSPENDED", "transferAuthorizationMethod": "ASK_OVHCLOUD_SUPPORT" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "contactsConfiguration": { "contactAdministrator": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactBilling": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } }, "contactOwner": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" }, "id": "string" }, "contactTechnical": { "disclosurePolicy": { "disclosureConfiguration": "DISCLOSED" } } }, "dnsConfiguration": { "nameServers": [ { "ips": [ "192.0.2.0" ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string" } ] }, "dnssecConfiguration": { "dsData": [ { "algorithm": 0, "flags": 0, "keyTag": 0, "publicKey": "string" } ] }, "hostsConfiguration": { "hosts": [ { "host": "string", "ips": [ "192.0.2.0" ] } ] }, "protectionState": "PROTECTED" }}
Get the list of managed domain namesProduction
Query parameters
Filter resources on IAM tags
Filter domain names by owner ID
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get domain name informationProduction
Path parameters
Service name
Response
Administrative contact data
Billing contact data
Owner (registrant) contact data
Technical contact data
Current DNSSEC state of the domain name
disabledenablednot_supportedWhether DNSSEC is activated for this domain name
Domain name
Date when the domain name will expire, if not renewed
Whether the registry supports IPv6 glue records
Whether the registry supports multi-ip glue records
Whether the registry supports hosts as independent entities
IAM resource metadata
Last update date
Name servers type
anycastdedicatedemptyexternalholdhostedhostingmixedparkingName servers list
Offer associated with the domain name
diamondgoldplatinumWhether Whois data obfuscation is supported for this domain name
Parent service
Date when the domain name should be renewed (relevant if renewalState is automatic_renew)
Current renewal state of the domain name
automatic_renewcancellation_completecancellation_requestedmanual_renewunpaidTechnical service identifier
Current state of the domain name
autorenew_in_progressautorenew_registry_in_progressdeleteddisputeexpiredokoutgoing_transferpending_createpending_deletepending_incoming_transferpending_installationregistry_suspendedrestorabletechnical_suspendedCurrent suspension state of the domain name
not_suspendedsuspendedCurrent transfer lock status of the domain name
lockedlockingunavailableunlockedunlockingOwner (registrant) contact ID (contact data can be edited via /me/contact/)
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "contactAdmin": { "id": "string" }, "contactBilling": { "id": "string" }, "contactOwner": { "id": "string" }, "contactTech": { "id": "string" }, "dnssecState": "disabled", "dnssecSupported": true, "domain": "string", "expirationDate": "2024-01-01T12:00:00Z", "glueRecordIpv6Supported": true, "glueRecordMultiIpSupported": true, "hostSupported": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "nameServerType": "anycast", "nameServers": [ { "id": 0, "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "anycast" } ], "offer": "diamond", "owoSupported": true, "parentService": { "name": "string", "type": "/allDom" }, "renewalDate": "2024-01-01T12:00:00Z", "renewalState": "automatic_renew", "serviceId": 0, "state": "autorenew_in_progress", "suspensionState": "not_suspended", "transferLockStatus": "locked", "whoisOwner": "string"}
Edit domain name propertiesProduction
Path parameters
Service name
Request body (required)
Administrative contact data
Billing contact data
Owner (registrant) contact data
Technical contact data
Current DNSSEC state of the domain name
disabledenablednot_supportedWhether DNSSEC is activated for this domain name
Domain name
Date when the domain name will expire, if not renewed
Whether the registry supports IPv6 glue records
Whether the registry supports multi-ip glue records
Whether the registry supports hosts as independent entities
Last update date
Name servers type
anycastdedicatedemptyexternalholdhostedhostingmixedparkingName servers list
Offer associated with the domain name
diamondgoldplatinumWhether Whois data obfuscation is supported for this domain name
Parent service
Date when the domain name should be renewed (relevant if renewalState is automatic_renew)
Current renewal state of the domain name
automatic_renewcancellation_completecancellation_requestedmanual_renewunpaidTechnical service identifier
Current state of the domain name
autorenew_in_progressautorenew_registry_in_progressdeleteddisputeexpiredokoutgoing_transferpending_createpending_deletepending_incoming_transferpending_installationregistry_suspendedrestorabletechnical_suspendedCurrent suspension state of the domain name
not_suspendedsuspendedCurrent transfer lock status of the domain name
lockedlockingunavailableunlockedunlockingOwner (registrant) contact ID (contact data can be edited via /me/contact/)
Response
Administrative contact data
Billing contact data
Owner (registrant) contact data
Technical contact data
Current DNSSEC state of the domain name
disabledenablednot_supportedWhether DNSSEC is activated for this domain name
Domain name
Date when the domain name will expire, if not renewed
Whether the registry supports IPv6 glue records
Whether the registry supports multi-ip glue records
Whether the registry supports hosts as independent entities
Last update date
Name servers type
anycastdedicatedemptyexternalholdhostedhostingmixedparkingName servers list
Offer associated with the domain name
diamondgoldplatinumWhether Whois data obfuscation is supported for this domain name
Parent service
Date when the domain name should be renewed (relevant if renewalState is automatic_renew)
Current renewal state of the domain name
automatic_renewcancellation_completecancellation_requestedmanual_renewunpaidTechnical service identifier
Current state of the domain name
autorenew_in_progressautorenew_registry_in_progressdeleteddisputeexpiredokoutgoing_transferpending_createpending_deletepending_incoming_transferpending_installationregistry_suspendedrestorabletechnical_suspendedCurrent suspension state of the domain name
not_suspendedsuspendedCurrent transfer lock status of the domain name
lockedlockingunavailableunlockedunlockingOwner (registrant) contact ID (contact data can be edited via /me/contact/)
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "contactAdmin": { "id": "string" }, "contactBilling": { "id": "string" }, "contactOwner": { "id": "string" }, "contactTech": { "id": "string" }, "dnssecState": "disabled", "dnssecSupported": true, "domain": "string", "expirationDate": "2024-01-01T12:00:00Z", "glueRecordIpv6Supported": true, "glueRecordMultiIpSupported": true, "hostSupported": true, "lastUpdate": "2024-01-01T12:00:00Z", "nameServerType": "anycast", "nameServers": [ { "id": 0, "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "anycast" } ], "offer": "diamond", "owoSupported": true, "parentService": { "name": "string", "type": "/allDom" }, "renewalDate": "2024-01-01T12:00:00Z", "renewalState": "automatic_renew", "serviceId": 0, "state": "autorenew_in_progress", "suspensionState": "not_suspended", "transferLockStatus": "locked", "whoisOwner": "string"}
Get service informationProduction
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List of current name serversProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ nameServer \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this name server configurationProduction
Path parameters
Id
Service name
Response
Host of the name server
ID of the name server
IP address of the name server
isUsed flag of the name server
toDelete flag of the name server
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ nameServer/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "host": "string", "id": 0, "ip": "192.0.2.0", "isUsed": true, "toDelete": true}
Add new name serverProduction
Path parameters
Service name
Request body (required)
Name servers to create
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
type of the task
alldomdomainExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ nameServer \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
Delete a name serverProduction
Path parameters
Id
Service name
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
type of the task
alldomdomainExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ nameServer/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
Get name server statusProduction
Path parameters
Id
Service name
Response
Whether or not the DNS server is working
kookWhether or not the DNS server is managed by OVHcloud
anycastdedicatedemptyexternalholdhostedhostingmixedparkingDate from which the DNS server is used by the domain
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ nameServer/ {id}/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "ko", "type": "anycast", "usedSince": "2024-01-01T12:00:00Z"}
Update DNS serversProduction
Path parameters
Service name
Request body (required)
Name servers to update
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
type of the task
alldomdomainExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ nameServers/ update \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
List of domain's DS RecordsProduction
Path parameters
Service name
Query parameters
Filter the value of flags property (=)
256257Filter the value of status property (=)
activegeneratedpublishedremovedretiredrevokedResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ dsRecord \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get details on this DS RecordProduction
Path parameters
Id
Service name
Response
Algorithm number of the DNSSEC key
35678101213141516Flag of the DNSSEC key
256257ID of the DNSSEC key
Public key
Key status of the DNSSEC key
activegeneratedpublishedremovedretiredrevokedTag of the DNSSEC key
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ dsRecord/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "algorithm": 3, "flags": 256, "id": 0, "publicKey": "string", "status": "active", "tag": 0}
Update DS recordsProduction
Path parameters
Service name
Request body (required)
New Keys
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
type of the task
alldomdomainExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ dsRecord \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
List of glue recordsProduction
Path parameters
Service name
Query parameters
Filter the value of host property
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ glueRecord \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this glue recordProduction
Path parameters
Host
Service name
Response
Host of the glue record
IP address
Example uses host = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ glueRecord/ {host} \
-H "authorization: Bearer $OVH_TOKEN"{ "host": "string", "ips": [ "192.0.2.0" ]}
Create a glue recordProduction
Path parameters
Service name
Request body (required)
Host of the glue record
IP addresses of the glue record
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
type of the task
alldomdomainExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ glueRecord \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
Delete the glue recordProduction
Path parameters
Host
Service name
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
type of the task
alldomdomainExample uses host = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ glueRecord/ {host} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
Update the glue recordProduction
Path parameters
Host
Service name
Request body (required)
Host of the glue record
IP address
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
type of the task
alldomdomainExample uses host = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ glueRecord/ {host}/ update \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
List domain optionsProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ option \
-H "authorization: Bearer $OVH_TOKEN"[ "dnsAnycast"]
Get details on this domain optionProduction
Path parameters
Option
dnsAnycastService name
Response
Expiration date of the option
The option name
dnsAnycastThe state of the option
releasedsubscribedExample uses option = dnsAnycast, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ option/ {option} \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "option": "dnsAnycast", "state": "released"}
Remove a given optionProduction
Path parameters
Option
dnsAnycastService name
Response
Example uses option = dnsAnycast, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ option/ {option} \
-H "authorization: Bearer $OVH_TOKEN"Retrieve data about the options associated to a domainProduction
Path parameters
Service name
Response
Hosting option
Offer option (Diamond, Platinum)
DNS zone option
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"{ "hosting": { "serviceName": "string" }, "offer": { "serviceName": "string" }, "zone": { "serviceName": "string" }}
List available servicesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ allDom \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
VoidProduction
Path parameters
The internal name of your allDom
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ allDom/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List available servicesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesProduction
Path parameters
The internal name of your zone
Response
Is DNSSEC supported by this zone
hasDnsAnycast flag of the DNS zone
IAM resource metadata
Last update date of the DNS zone
Zone name
Name servers that host the DNS zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName} \
-H "authorization: Bearer $OVH_TOKEN"{ "dnssecSupported": true, "hasDnsAnycast": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "nameServers": [ "string" ]}
Zone capabilitiesProduction
Path parameters
The internal name of your zone
Response
True if dynHost available for this zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ capabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "dynHost": true}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal name of your zone
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Confirm service terminationProduction
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
The internal name of your zone
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Get this object propertiesProduction
Path parameters
The internal name of your zone
Response
Dnssec Status
disableInProgressdisabledenableInProgressenabledExample uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dnssec \
-H "authorization: Bearer $OVH_TOKEN"{ "status": "disableInProgress"}
Enable DnssecProduction
Path parameters
The internal name of your zone
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dnssec \
-H "authorization: Bearer $OVH_TOKEN"Disable DnssecProduction
Path parameters
The internal name of your zone
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dnssec \
-H "authorization: Bearer $OVH_TOKEN"DynHost' loginsProduction
Path parameters
The internal name of your zone
Query parameters
Filter the value of login property (like)
Filter the value of subDomain property (like)
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ login \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a new DynHost loginProduction
Path parameters
The internal name of your zone
Request body (required)
Suffix that will be concatenated to the zoneName to create the login
Password of the login
Subdomain that the login will be allowed to update (use * to allow all)
Response
Login
Subdomain that the login will be allowed to update (* to allow all)
Zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ login \
-H "authorization: Bearer $OVH_TOKEN"{ "login": "string", "subDomain": "string", "zone": "string"}
Get this object propertiesProduction
Path parameters
Login
The internal name of your zone
Response
Login
Subdomain that the login will be allowed to update (* to allow all)
Zone
Example uses login = string, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ login/ {login} \
-H "authorization: Bearer $OVH_TOKEN"{ "login": "string", "subDomain": "string", "zone": "string"}
Alter this object propertiesProduction
Path parameters
Login
The internal name of your zone
Request body (required)
Login
Subdomain that the login will be allowed to update (* to allow all)
Zone
Response
Example uses login = string, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ login/ {login} \
-H "authorization: Bearer $OVH_TOKEN"Delete a DynHost loginProduction
Path parameters
Login
The internal name of your zone
Response
Example uses login = string, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ login/ {login} \
-H "authorization: Bearer $OVH_TOKEN"Change password of the DynHost loginProduction
Path parameters
Login
The internal name of your zone
Request body (required)
New password of the DynHost login
Response
Example uses login = string, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ login/ {login}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"DynHost' recordsProduction
Path parameters
The internal name of your zone
Query parameters
Filter the value of subDomain property (like)
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ record \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a new DynHost record (Don't forget to refresh the zone)Production
Path parameters
The internal name of your zone
Request body (required)
Ip address of the DynHost record
Subdomain of the DynHost record
Response
Id of the DynHost record
Ip address of the DynHost record
Subdomain of the DynHost record
DynHost record ttl
Zone of the DynHost record
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ record \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "ip": "192.0.2.0", "subDomain": "string", "ttl": 0, "zone": "string"}
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your zone
Response
Id of the DynHost record
Ip address of the DynHost record
Subdomain of the DynHost record
DynHost record ttl
Zone of the DynHost record
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "ip": "192.0.2.0", "subDomain": "string", "ttl": 0, "zone": "string"}
Alter this object propertiesProduction
Path parameters
Id of the object
The internal name of your zone
Request body (required)
Id of the DynHost record
Ip address of the DynHost record
Subdomain of the DynHost record
DynHost record ttl
Zone of the DynHost record
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete a DynHost record (Don't forget to refresh the zone)Production
Path parameters
Id of the object
The internal name of your zone
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dynHost/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Export zoneProduction
Path parameters
The internal name of your zone
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ export \
-H "authorization: Bearer $OVH_TOKEN""string"
Zone restore pointsBeta
Path parameters
The internal name of your zone
Query parameters
Filter the value of creationDate property (>=)
Filter the value of creationDate property (<=)
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ history \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01T12:00:00Z"]
Get this object propertiesBeta
Path parameters
Date of backup creation
The internal name of your zone
Response
Date of backup creation
URL to get backup content
Example uses creationDate = 2024-01-01T12:00:00Z, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ history/ {creationDate} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "zoneFileUrl": "string"}
Restore the DNS zoneBeta
Path parameters
Date of backup creation
The internal name of your zone
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
Example uses creationDate = 2024-01-01T12:00:00Z, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ history/ {creationDate}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Import zoneProduction
Path parameters
The internal name of your zone
Request body (required)
Zone file that will be imported
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List zone optionsBeta
Path parameters
The internal name of your zone
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ option \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesBeta
Path parameters
The option name
The internal name of your zone
Response
The option name
Example uses name = string, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ option/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string"}
Get this object propertiesBeta
Path parameters
The option name
The internal name of your zone
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses name = string, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ option/ {name}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Alter this object propertiesBeta
Path parameters
The option name
The internal name of your zone
Request body (required)
Renew type
Response
Example uses name = string, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ option/ {name}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Records of the zoneProduction
Path parameters
The internal name of your zone
Query parameters
Filter the value of fieldType property (like)
AAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXTFilter the value of subDomain property (ilike)
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a new DNS record (Don't forget to refresh the zone)Production
Path parameters
The internal name of your zone
Request body (required)
Resource record Name
AAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXTResource record subdomain
Resource record target
Resource record ttl
Response
Resource record Name
AAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXTId of the zone resource record
Resource record subdomain
Resource record target
Resource record ttl
Resource record zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record \
-H "authorization: Bearer $OVH_TOKEN"{ "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string"}
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your zone
Response
Resource record Name
AAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXTId of the zone resource record
Resource record subdomain
Resource record target
Resource record ttl
Resource record zone
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string"}
Alter this object propertiesProduction
Path parameters
Id of the object
The internal name of your zone
Request body (required)
Resource record Name
AAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXTId of the zone resource record
Resource record subdomain
Resource record target
Resource record ttl
Resource record zone
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete a DNS record (Don't forget to refresh the zone)Production
Path parameters
Id of the object
The internal name of your zone
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ record/ {id} \
-H "authorization: Bearer $OVH_TOKEN"RedirectionsProduction
Path parameters
The internal name of your zone
Query parameters
Filter the value of subDomain property (like)
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a new redirection (Don't forget to refresh the zone)Production
Path parameters
The internal name of your zone
Request body (required)
Desciption for invisible redirection
Keywords for invisible redirection
subdomain to redirect
Target of the redirection
Title for invisible redirection
Redirection type
invisiblevisiblevisiblePermanentResponse
Desciption for invisible redirection
Id of the redirection
Keywords for invisible redirection
subdomain to redirect
Target of the redirection
Title for invisible redirection
Redirection type
invisiblevisiblevisiblePermanentRedirection zone
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "id": 0, "keywords": "string", "subDomain": "string", "target": "string", "title": "string", "type": "invisible", "zone": "string"}
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your zone
Response
Desciption for invisible redirection
Id of the redirection
Keywords for invisible redirection
subdomain to redirect
Target of the redirection
Title for invisible redirection
Redirection type
invisiblevisiblevisiblePermanentRedirection zone
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "id": 0, "keywords": "string", "subDomain": "string", "target": "string", "title": "string", "type": "invisible", "zone": "string"}
Alter this object propertiesProduction
Path parameters
Id of the object
The internal name of your zone
Request body (required)
Desciption for invisible redirection
Id of the redirection
Keywords for invisible redirection
subdomain to redirect
Target of the redirection
Title for invisible redirection
Redirection type
invisiblevisiblevisiblePermanentRedirection zone
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete a redirection (Don't forget to refresh the zone)Production
Path parameters
Id of the object
The internal name of your zone
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Apply zone modification on DNS serversProduction
Path parameters
The internal name of your zone
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ refresh \
-H "authorization: Bearer $OVH_TOKEN"Reset the DNS zoneProduction
Path parameters
The internal name of your zone
Request body (required)
Records that will be set after reset
Create only mandatory records
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ reset \
-H "authorization: Bearer $OVH_TOKEN"Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your zone
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your zone
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Get this object propertiesProduction
Path parameters
The internal name of your zone
Response
Email address of the DNS Administrator
When a zone transfer fails, a countdown clock begins. When the number of seconds set in the expire field elapses, the nameserver stops answering for that zone file
Non-Existent Domain TTL, if the name server returns a negative response, the remote server should wait the number of seconds set in the nxDomainTtl field before trying again
The refresh value determines the interval in seconds between successful zone transfers of the entire zone file from a nameserver to another.
The serial number is used to indicate which copy of the zone file is the most current. When editing zone files, you must increment the serial number
Primary authoritative server
Time To Live in seconds
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ soa \
-H "authorization: Bearer $OVH_TOKEN"{ "email": "string", "expire": 0, "nxDomainTtl": 0, "refresh": 0, "serial": 0, "server": "string", "ttl": 0}
Alter this object propertiesProduction
Path parameters
The internal name of your zone
Request body (required)
Email address of the DNS Administrator
When a zone transfer fails, a countdown clock begins. When the number of seconds set in the expire field elapses, the nameserver stops answering for that zone file
Non-Existent Domain TTL, if the name server returns a negative response, the remote server should wait the number of seconds set in the nxDomainTtl field before trying again
The refresh value determines the interval in seconds between successful zone transfers of the entire zone file from a nameserver to another.
The serial number is used to indicate which copy of the zone file is the most current. When editing zone files, you must increment the serial number
Primary authoritative server
Time To Live in seconds
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ soa \
-H "authorization: Bearer $OVH_TOKEN"Zone statusProduction
Path parameters
The internal name of your zone
Response
Error list
True if the zone has successfully been deployed
Warning list
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "errors": [ "string" ], "isDeployed": true, "warnings": [ "string" ]}
Domain pending tasksProduction
Path parameters
The internal name of your zone
Query parameters
Filter the value of function property (like)
Filter the value of status property (=)
cancelleddoingdoneerrortodoResponse
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your zone
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrortodoTodo date of the task
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Accelerate the taskProduction
Path parameters
Id of the object
The internal name of your zone
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task/ {id}/ accelerate \
-H "authorization: Bearer $OVH_TOKEN"Cancel the taskProduction
Path parameters
Id of the object
The internal name of your zone
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task/ {id}/ cancel \
-H "authorization: Bearer $OVH_TOKEN"Relaunch the taskProduction
Path parameters
Id of the object
The internal name of your zone
Response
Example uses id = 0, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ task/ {id}/ relaunch \
-H "authorization: Bearer $OVH_TOKEN"Request service terminationProduction
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
The internal name of your zone
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"